System.Data 1.0.5000.0 2.0.0.0 System.Data.Common.DbParameterCollection System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBParametersEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.ListBindable(false)

The number of parameters in the collection must equal the number of parameter placeholders within the command text, or else the .NET Framework Data Provider for ODBC raises an error.

Represents a collection of parameters relevant to an and their respective mappings to columns in a . This class cannot be inherited.

- Method
  System.Data.Odbc.OdbcParameter `` To be added.

  Adds the specified to the .

  The index of the new object.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added.

  Adds the specified object to the .

  The index of the new object in the collection.

  A . 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Data.Odbc.OdbcParameter `` `` To be added.

  Adds an to the , given the parameter name and data type.

  The index of the new object.

  The name of the parameter. One of the values. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Odbc.OdbcParameter `` ``

  Use caution when using this overload of the method to specify integer parameter values. Because this overload takes a of type , you must convert the integer value to an type when the value is zero, as the following C# example demonstrates.

  `parameters.Add("@pname", Convert.ToInt32(0));`

  If you do not perform this conversion, the compiler will assume you are attempting to call the overload.

  Adds an to the given the parameter name and value.

  The index of the new object.

  The name of the parameter. The of the to add to the collection. 1.0.5000.0 2.0.0.0 System.Obsolete("Add(String parameterName, Object value) has been deprecated. Use AddWithValue(String parameterName, Object value).") System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Data.Odbc.OdbcParameter `` `` `` To be added.

  Adds an to the , given the parameter name, data type, and column length.

  The index of the new object.

  The name of the parameter. One of the values. The length of the column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Odbc.OdbcParameter `` `` `` `` To be added.

  Adds an to the given the parameter name, data type, column length, and source column name.

  The index of the new object.

  The name of the parameter. One of the values. The length of the column. The name of the source column. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Adds an array of values to the end of the .

  The values to add. 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Adds an array of values to the end of the .

  An array of objects to add to the collection.
- Method
  2.0.0.0
  System.Data.Odbc.OdbcParameter `` `` To be added.

  Adds a value to the end of the .

  An object.

  The name of the parameter. The value to be added.
- Method
  System.Void To be added.

  Removes all objects from the .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified is in this .

  true if the is in the collection; otherwise, false.

  The value.
- Method
  System.Boolean `` To be added.

  Determines whether the specified is in this .

  true if the contains the value otherwise false.

  The value. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added.

  Gets a value indicating whether an object with the specified parameter name exists in the collection.

  true if the collection contains the parameter; otherwise, false.

  The name of the object to find. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies all the elements of the current to the specified one-dimensional starting at the specified destination index.

  The one-dimensional that is the destination of the elements copied from the current . A 32-bit integer that represents the index in the at which copying starts. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies all the elements of the current to the specified starting at the specified destination index.

  The that is the destination of the elements copied from the current . A 32-bit integer that represents the index in the at which copying starts.
- Property
  System.Int32 To be added. To be added.

  Returns an Integer that contains the number of elements in the . Read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the .

  An for the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.Common.DbParameter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Data.Common.DbParameter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Gets the location of the specified within the collection.

  The zero-based location of the specified within the collection.

  The object in the collection to find.
- Method
  System.Int32 `` To be added.

  Gets the location of the specified within the collection.

  The zero-based location of the specified that is a within the collection.

  The to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added.

  Gets the location of the specified with the specified name.

  The zero-based location of the specified with the specified case-sensitive name.

  The case-sensitive name of the to find. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Inserts a object into the at the specified index.

  The zero-based index at which the object should be inserted. A object to be inserted in the .
- Method
  System.Void `` `` To be added.

  Inserts a into the at the specified index.

  The zero-based index at which the object should be inserted. A to be inserted in the . 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the has a fixed size. Read-only.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the is read-only.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the is synchronized. Read-only.

  2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Data.Odbc.OdbcParameter `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Data.Odbc.OdbcParameter `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes the from the .

  A object to remove from the collection.
- Method
  System.Void `` To be added.

  Removes the object from the .

  A to be removed from the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the from the at the specified index.

  The zero-based index of the object to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the from the with the specified parameter name.

  The name of the object to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the . Read-only.

  2.0.0.0
- Property
  1.0.5000.0
  System.Boolean To be added. To be added. To be added.
- Property
  1.0.5000.0
  System.Object To be added. To be added. To be added.
- Property
  1.0.5000.0
  System.Boolean To be added. To be added. To be added.
- Property
  1.0.5000.0
  System.Boolean To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.